--- gracl.c.orig	2004-11-17 15:45:14.000000000 +0100
+++ gracl.c	2004-11-17 16:18:25.000000000 +0100
@@ -3340,6 +3340,7 @@
 void
 gr_acl_handle_psacct(struct task_struct *task, const long code)
 {
+	u64 runtime64;
 	unsigned long runtime;
 	unsigned long cputime;
 	unsigned int wday, cday;
@@ -3351,7 +3352,9 @@
 		     !(task->acl->mode & GR_PROCACCT)))
 		return;
 
-	runtime = (jiffies - task->start_time) / HZ;
+	runtime64 = get_jiffies_64() - task->start_time;
+	do_div(runtime64, HZ);
+	runtime = (unsigned long)runtime64;
 	wday = runtime / (3600 * 24);
 	runtime -= wday * (3600 * 24);
 	whr = runtime / 3600;
